Subject: RE: 23.1; give users a choice for quitting backtrace buffer

From: "Drew Adams" <[email-masked]>
Date: Wed, 13 Jul 2011 09:53:14 -0700

> >> `q' is bound to `top-level' if I say `(debug)'.
> >
> > So what? It was in Emacs 22 also (and Emacs 21 and 20...).
> > The behavior is not the same.
> 
> It means that I'm unable to reproduce the behaviour you're describing.
> If you're still not willing to give a recipe for reproducing 
> this error, I have no other choice than to close it.

1. Download these two files and put them in your load-path:
http://www.emacswiki.org/emacs/download/hexrgb.el
http://www.emacswiki.org/emacs/download/oneonone.el

2. Start Emacs:

runemacs.exe -Q --debug-init -l "hexrgb.el" -l "oneonone.el" -f "1on1-emacs"

3. Make *Backtrace* be a special-display buffer:

M-: (setq special-display-regexps '("[ ]?[*][^*]+[*]"))

4: Enter the debugger for `describe-mode':

M-x debug-on-entry RET describe-mode RET

C-h m

5: You are now in the debugger.  Hit `q' to exit.
The *Backtrace* frame gets iconified.

I want the frame to either remain or be deleted, not iconified.
I want users to be able to specify the behavior they prefer.